Package org.eclipse.spi.net4j

## Class AcceptorFactory

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.spi.net4j.AcceptorFactory

- All Implemented Interfaces:
    `org.eclipse.net4j.util.factory.IFactory`

      public abstract class AcceptorFactory
      extends org.eclipse.net4j.util.factory.Factory

  If the meaning of this type isn't clear, there really should be more of a description here...
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `PRODUCT_GROUP` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AcceptorFactory​(java.lang.String type)` |

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.factory.IFactory

      `create`

- - ### Field Detail

    - #### PRODUCT_GROUP

          public static final java.lang.String PRODUCT_GROUP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AcceptorFactory

          public AcceptorFactory​(java.lang.String type)